Create subscription OAuth Scope: subscriptions:write
Create new subscriptions for a publication.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
publicationId
The prefixed ID of the publication object
Request
This endpoint expects an object.
email
The email address of the subscription.
reactivate_existing
Whether or not to reactivate the subscription if they have already unsubscribed. This option should be used only if the subscriber is knowingly resubscribing.
send_welcome_email
utm_source
The source of the subscription.
utm_medium
The medium of the subscription
utm_campaign
The acquisition campaign of the subscription
utm_term
The acquisition term; typically the keyword or search term
utm_content
The acquisition content; typically used for A/B testing or ad variations
referring_site
The website that the subscriber was referred from
referral_code
This should be a subscribers referral_code. This gives referral credit for the new subscription.
custom_fields
The custom fields must already exist for the publication. Any new custom fields here will be discarded.
double_opt_override
Override the publication's default double opt-in settings for this subscription. Possible values are:
- "on" — The subscriber will receive a double opt-in confirmation email and will need to confirm their subscription prior to being marked as active.
- "off" — The subscriber will be marked as active immediately and will not receive a double opt-in confirmation email.
- "not_set" — The publication's default double opt-in settings will be applied to this subscription.
tier
The tier for this subscription.
Allowed values:
stripe_customer_id
The Stripe customer ID for this subscription.
automation_ids
Enroll the subscriber into automations after their subscription has been created. Requires the automations to have an active Add by API trigger.
Response
Subscription created
data
The subscription object
Errors
400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error